Is function available query

  1. last week

    Dave S

    Jan 10 San Diego, California USA
    Edited last week

    Is there a way to create a #Pragma to conditionally compile based on the Version of Xojo?
    For example "isDarkMode" isn't available until 2018r3

    something like

    Function getDarkMode as Boolean
    #IF XojoVersion>=2018.03 then
      return isDarkMode
    #Else
      return false
    #End if

    EDIT: Wow.. that actually seems to work...

    @Tim P You've got it with only one small detail. The version you've got there is 2018r30. You want it to be XojoVersion >= 2018.03

    yeah... saw that, fixed it :)

  2. Tim P

    Jan 10 Pre-Release Testers feedback://46303

    You've got it with only one small detail. The version you've got there is 2018r30. You want it to be XojoVersion >= 2018.03

  3. Dave S

    Jan 10 Answer San Diego, California USA

    @Tim P You've got it with only one small detail. The version you've got there is 2018r30. You want it to be XojoVersion >= 2018.03

    yeah... saw that, fixed it :)

or Sign Up to reply!